## qt6-webchannel 6.2.4

=== src/CMakeLists.txt ===
# Generated from src.pro.

add_subdirectory(webchannel)
if(TARGET Qt::Quick)
    add_subdirectory(imports)
endif()

=== src/imports/webchannel/CMakeLists.txt ===
# Generated from webchannel.pro.

#####################################################################
## webchannel Plugin:
#####################################################################

qt_internal_add_qml_module(webchannel
    URI "QtWebChannel"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 1
    CLASS_NAME QWebChannelPlugin
    PLUGIN_TARGET webchannel
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    NO_GENERATE_QMLTYPES
    INSTALL_SOURCE_QMLTYPES "plugins.qmltypes"
    SOURCES
        plugin.cpp
    INCLUDE_DIRECTORIES
        ../../webchannel
    LIBRARIES
        Qt::Core
        Qt::Quick
        Qt::WebChannelPrivate
)

#### Keys ignored in scope 1:.:.:webchannel.pro:<TRUE>:
# IMPORT_VERSION = "1.$$QT_MINOR_VERSION"
# TARGETPATH = "QtWebChannel"

=== tests/auto/webchannel/CMakeLists.txt ===
# Generated from webchannel.pro.

#####################################################################
## tst_webchannel Test:
#####################################################################

qt_internal_add_test(tst_webchannel
    SOURCES
        tst_webchannel.cpp tst_webchannel.h
    INCLUDE_DIRECTORIES
        ../../../src/webchannel
    PUBLIC_LIBRARIES
        Qt::CorePrivate
        Qt::WebChannelPrivate
)

## Scopes:
#####################################################################

qt_internal_extend_target(tst_webchannel CONDITION TARGET Qt::Qml
    DEFINES
        WEBCHANNEL_TESTS_CAN_USE_JS_ENGINE
    PUBLIC_LIBRARIES
        Qt::Qml
)

=== debian/changelog ===
qt6-webchannel (6.2.4-1ubuntu1) jammy; urgency=medium

  * Merge from debian. Remaining changes:
    - Mark a symbol optional to prevent FTBFS on ppc64el.

 -- Rik Mills <rikmills@kde.org>  Fri, 01 Apr 2022 11:49:29 +0100

qt6-webchannel (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Thu, 31 Mar 2022 23:16:19 +0200

qt6-webchannel (6.2.2-3ubuntu1) jammy; urgency=medium

  * Mark a symbol optional to prevent FTBFS on ppc64el.

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Feb 2022 07:15:02 +0000

qt6-webchannel (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:07:02 +0100

qt6-webchannel (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 06 Dec 2021 09:17:32 +0100

qt6-webchannel (6.2.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Bump Qt B-Ds to 6.2.2.
  * Update installed files.

 -- Patrick Franz <deltaone@debian.org>  Mon, 06 Dec 2021 08:26:26 +0100

qt6-webchannel (6.2.1-1) experimental; urgency=medium

  * Initial release (Closes: #1000164)

 -- Patrick Franz <deltaone@debian.org>  Wed, 24 Nov 2021 23:46:42 +0100

=== debian/control ===
Source: qt6-webchannel
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libqt6websockets6-dev (>= 6.2.4~),
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel.git
Rules-Requires-Root: no

Package: libqt6webchannel6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 WebChannel library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the Qt 6 WebChannel libraries.

Package: qml6-module-qtwebchannel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 WebChannel QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the Qt WebChannel QML module.

Package: libqt6webchannel6-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6webchannel6 (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
Description: Qt 6 WebChannel library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the development files needed to build Qt 6 applications
 using the QtWebChannel library.

## qt6-webchannel 6.3.1

=== debian/changelog ===
qt6-webchannel (6.3.1-2ubuntu1) kinetic; urgency=medium

  *  Mark a ppc64el symbol optional to fix FTBFS on launchpad buildds.

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Aug 2022 12:32:59 +0100

qt6-webchannel (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:24:11 +0200

qt6-webchannel (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 16:48:23 +0200

qt6-webchannel (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Jun 2022 18:18:38 +0200

qt6-webchannel (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:07:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
-               libqt6websockets6-dev (>= 6.2.4~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6websockets6-dev (>= 6.3.1~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-Standards-Version: 4.6.0
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel.git

## qt6-webchannel 6.4.2

=== CMakeLists.txt ===
# Generated from qtwebchannel.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtWebChannel
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt WebChannel Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core) # special case
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS Concurrent Quick Test QuickTest WebSockets) # special case

if(INTEGRITY)
    message(NOTICE "Skipping the build as the condition \"NOT INTEGRITY\" is not met.")
    return()
endif()
qt_build_repo()

=== examples/CMakeLists.txt ===
qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(webchannel)

qt_examples_build_end()

=== examples/webchannel/CMakeLists.txt ===
# These are all TEMPLATE = aux
#qt_internal_add_example(nodejs)
#qt_internal_add_example(qwclient)
#qt_internal_add_example(chatclient-html)

if(TARGET Qt::WebSockets)
    qt_internal_add_example(chatserver-cpp)

    # This one is TEMPLATE = aux too
    #qt_internal_add_example(chatclient-qml)

endif()
if(TARGET Qt::WebSockets AND TARGET Qt::Widgets)
    qt_internal_add_example(standalone)
endif()

=== tests/auto/CMakeLists.txt ===
add_subdirectory(cmake)
add_subdirectory(webchannel)
if(TARGET Qt::Quick)
    add_subdirectory(qml)
endif()

=== examples/webchannel/chatserver-cpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(chatserver LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webchannel/chatserver-cpp")

find_package(Qt6 REQUIRED COMPONENTS Core WebChannel WebSockets)

qt_add_executable(chatserver
    ../shared/websocketclientwrapper.cpp ../shared/websocketclientwrapper.h
    ../shared/websockettransport.cpp ../shared/websockettransport.h
    chatserver.cpp chatserver.h
    main.cpp
)

set_target_properties(chatserver PROPERTIES
    WIN32_EXECUTABLE FALSE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(chatserver PUBLIC
    Qt::Core
    Qt::WebChannel
    Qt::WebSockets
)

install(TARGETS chatserver
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/webchannel/standalone/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(standalone LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/webchannel/standalone")

find_package(Qt6 REQUIRED COMPONENTS Core Gui WebChannel WebSockets Widgets)

qt_add_executable(standalone
    ../shared/websocketclientwrapper.cpp ../shared/websocketclientwrapper.h
    ../shared/websockettransport.cpp ../shared/websockettransport.h
    core.h
    dialog.cpp dialog.h dialog.ui
    main.cpp
)

set_target_properties(standalone PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

# pro2cmake generates invalid cmake syntax here
target_compile_definitions(standalone PUBLIC
    "BUILD_DIR=\"${CMAKE_CURRENT_BINARY_DIR}\""
)

target_link_libraries(standalone PUBLIC
    Qt::Core
    Qt::Gui
    Qt::WebChannel
    Qt::WebSockets
    Qt::Widgets
)

install(TARGETS standalone
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/cmake/CMakeLists.txt ===
# This is an automatic test for the CMake configuration files.
# To run it manually,
# 1) mkdir build   # Create a build directory
# 2) cd build
# 3) # Run cmake on this directory
#    `$qt_prefix/bin/qt-cmake ..` or `cmake -DCMAKE_PREFIX_PATH=/path/to/qt ..`
# 4) ctest         # Run ctest

cmake_minimum_required(VERSION 3.16)
project(webchannel_cmake_tests)
enable_testing()

set(required_packages Core WebChannel)

# Setup the test when called as a completely standalone project.
if(TARGET Qt6::Core)
    # Tests are built as part of the repository's build tree.
    # Setup paths so that the Qt packages are found.
    qt_internal_set_up_build_dir_package_paths()
endif()

find_package(Qt6 REQUIRED COMPONENTS ${required_packages})

# Setup common test variables which were previously set by ctest_testcase_common.prf.
set(CMAKE_MODULES_UNDER_TEST "${required_packages}")

foreach(qt_package ${CMAKE_MODULES_UNDER_TEST})
    set(package_name "${QT_CMAKE_EXPORT_NAMESPACE}${qt_package}")
    if(${package_name}_FOUND)
        set(CMAKE_${qt_package}_MODULE_MAJOR_VERSION "${${package_name}_VERSION_MAJOR}")
        set(CMAKE_${qt_package}_MODULE_MINOR_VERSION "${${package_name}_VERSION_MINOR}")
        set(CMAKE_${qt_package}_MODULE_PATCH_VERSION "${${package_name}_VERSION_PATCH}")
    endif()
endforeach()

include("${_Qt6CTestMacros}")

set(module_includes
    WebChannel QWebChannel
)

_qt_internal_test_module_includes(
     ${module_includes}
)

=== tests/auto/qml/CMakeLists.txt ===
# Generated from qml.pro.

#####################################################################
## qml Test:
#####################################################################

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qmlwebchannel    # special case
    QMLTEST
    QML_IMPORTPATH
        "${CMAKE_CURRENT_BINARY_DIR}/../../../qml"
        "${CMAKE_CURRENT_SOURCE_DIR}/data"
    SOURCES
        qml.cpp
        testobject.cpp testobject.h
        testtransport.cpp testtransport.h
        testwebchannel.cpp testwebchannel.h
    PUBLIC_LIBRARIES
        Qt::CorePrivate
        Qt::Gui
        Qt::WebChannelPrivate
    TESTDATA ${test_data}
)

#### Keys ignored in scope 1:.:.:qml.pro:<TRUE>:
# DISTFILES = "tst_webchannelseparation.qml"
# IMPORTPATH = "$$OUT_PWD/../../../qml" "$$PWD"
# OTHER_FILES = "Client.qml" "WebChannelTest.qml" "tst_webchannel.qml" "tst_metaobjectpublisher.qml" "tst_bench.qml" "tst_multiclient.qml"
# TEMPLATE = "app"

=== tests/auto/webchannel/CMakeLists.txt ===
--- 
+++ 
@@ -23,3 +23,10 @@
     PUBLIC_LIBRARIES
         Qt::Qml
 )
+
+qt_internal_extend_target(tst_webchannel CONDITION TARGET Qt::Concurrent
+    DEFINES
+        WEBCHANNEL_TESTS_CAN_USE_CONCURRENT
+    PUBLIC_LIBRARIES
+        Qt::Concurrent
+)

=== debian/changelog ===
qt6-webchannel (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Tue, 24 Jan 2023 12:09:46 +0100

qt6-webchannel (6.4.2~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add a Provides for libqt6webchannel6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:50:08 +0100

qt6-webchannel (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:23 +0100

qt6-webchannel (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:29:33 +0100

qt6-webchannel (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6webchannel6-dev to qt6-webchannel-dev.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Nov 2022 23:52:35 +0100

qt6-webchannel (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Nov 2022 19:05:36 +0100

qt6-webchannel (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015629).
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1023077).

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Nov 2022 10:02:45 +0100

qt6-webchannel (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Oct 2022 12:33:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>
-Build-Depends: cmake (>= 3.18~),
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
-               libqt6websockets6-dev (>= 6.3.1~),
+               libqt6opengl6-dev (>= 6.4.2+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-Standards-Version: 4.6.1
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-dev (>= 6.4.2+dfsg~),
+               qt6-websockets-dev (>= 6.4.2~),
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel.git
@@ -55,7 +55,8 @@
  .
  This package contains the Qt WebChannel QML module.
 
-Package: libqt6webchannel6-dev
+Package: qt6-webchannel-dev
+Provides: libqt6webchannel6-dev (= ${binary:Version})
 Architecture: any
 Multi-Arch: same
 Section: libdevel
@@ -63,6 +64,8 @@
          qt6-base-dev,
          qt6-declarative-dev,
          ${misc:Depends},
+Breaks: libqt6webchannel6-dev (<< 6.4.1-2~)
+Replaces: libqt6webchannel6-dev (<< 6.4.1-2~)
 Description: Qt 6 WebChannel library - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-webchannel 6.6.1

=== debian/changelog ===
qt6-webchannel (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.

 -- Patrick Franz <deltaone@debian.org>  Tue, 12 Dec 2023 19:42:53 +0100

qt6-webchannel (6.6.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing dependency of libqt6webchannelquick6 to qt6-webchannel-
    dev.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Nov 2023 22:49:12 +0100

qt6-webchannel (6.6.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Nov 2023 18:09:00 +0100

qt6-webchannel (6.6.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Bump Qt B-Ds to 6.6.0.
  * Update list of installed files and new binary package
    libqt6webchannelquick6.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Nov 2023 00:13:25 +0100

qt6-webchannel (6.4.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 27 Jul 2023 20:25:34 +0200

qt6-webchannel (6.4.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.
  * Add binary package for examples (Closes: #1042248).
  * Add binary packages for documentation.

 -- Patrick Franz <deltaone@debian.org>  Thu, 27 Jul 2023 00:28:12 +0200

=== debian/control ===
Source: qt6-webchannel
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.6.1+dfsg~),
               qt6-base-private-dev (>= 6.6.1+dfsg~),
               qt6-declarative-dev (>= 6.6.1+dfsg~),
               qt6-websockets-dev (>= 6.6.1~),
Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel.git
Rules-Requires-Root: no

Package: libqt6webchannel6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 WebChannel library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the Qt 6 WebChannel library.

Package: libqt6webchannelquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 WebChannel Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the Qt 6 WebChannel Quick library.

Package: qml6-module-qtwebchannel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 WebChannel QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the Qt WebChannel QML module.

Package: qt6-webchannel-dev
Provides: libqt6webchannel6-dev (= ${binary:Version}),
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6webchannel6 (= ${binary:Version}),
         libqt6webchannelquick6 (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
Breaks: libqt6webchannel6-dev (<< 6.4.1-2~),
Replaces: libqt6webchannel6-dev (<< 6.4.1-2~),
Description: Qt 6 WebChannel library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the development files needed to build Qt 6 applications
 using the Qt WebChannel library.

Package: qt6-webchannel-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Description: Qt 6 WebChannel documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 WebChannel.

Package: qt6-webchannel-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Description: Qt 6 WebChannel HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 WebChannel.

Package: qt6-webchannel-doc-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Description: Qt 6 WebChannel tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the Qt WebChannel
 documentation.

Package: qt6-webchannel-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 WebChannel examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt WebChannel submodule.

## qt6-webchannel 6.6.2

=== debian/changelog ===
qt6-webchannel (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:46:45 +0200

qt6-webchannel (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 13:53:35 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-websockets-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-websockets-dev (>= 6.6.2~),
 Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                      qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2

## qt6-webchannel 6.7.2

=== debian/changelog ===
qt6-webchannel (6.7.2-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

  [ Patrick Franz ]
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Sat, 09 Nov 2024 10:19:20 +0100

qt6-webchannel (6.7.2-2) unstable; urgency=medium

  * Remove virtual package libqt6webchannel6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:11:28 +0200

qt6-webchannel (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Sep 2024 01:05:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
@@ -12,13 +14,13 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-websockets-dev (>= 6.6.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-websockets-dev (>= 6.7.2~),
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel.git
@@ -60,7 +62,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 WebChannel QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -73,12 +75,12 @@
  This package contains the Qt WebChannel QML module.
 
 Package: qt6-webchannel-dev
-Provides: libqt6webchannel6-dev (= ${binary:Version}),
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6webchannel6 (= ${binary:Version}),
          libqt6webchannelquick6 (= ${binary:Version}),
+         qml6-module-qtwebchannel (= ${binary:Version}),
          qt6-base-dev,
          qt6-declarative-dev,
          ${misc:Depends},

## qt6-webchannel 6.8.0

=== debian/changelog ===
qt6-webchannel (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Fri, 25 Oct 2024 17:22:52 +0800

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,20 @@
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
-               pkgconf,
+               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-websockets-dev (>= 6.7.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-websockets-dev (>= 6.8.0~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel.git
@@ -62,7 +60,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 WebChannel QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -75,12 +73,12 @@
  This package contains the Qt WebChannel QML module.
 
 Package: qt6-webchannel-dev
+Provides: libqt6webchannel6-dev (= ${binary:Version}),
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6webchannel6 (= ${binary:Version}),
          libqt6webchannelquick6 (= ${binary:Version}),
-         qml6-module-qtwebchannel (= ${binary:Version}),
          qt6-base-dev,
          qt6-declarative-dev,
          ${misc:Depends},

## qt6-webchannel 6.8.1

=== debian/changelog ===
qt6-webchannel (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:55:19 -0600

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,27 @@
 Source: qt6-webchannel
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-websockets-dev (>= 6.8.0~),
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-websockets-dev (>= 6.8.1~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel.git
@@ -60,7 +63,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 WebChannel QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -73,12 +76,12 @@
  This package contains the Qt WebChannel QML module.
 
 Package: qt6-webchannel-dev
-Provides: libqt6webchannel6-dev (= ${binary:Version}),
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6webchannel6 (= ${binary:Version}),
          libqt6webchannelquick6 (= ${binary:Version}),
+         qml6-module-qtwebchannel (= ${binary:Version}),
          qt6-base-dev,
          qt6-declarative-dev,
          ${misc:Depends},

## qt6-webchannel 6.8.2

=== debian/changelog ===
qt6-webchannel (6.8.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:29:29 +0100

qt6-webchannel (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 10:45:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: qt6-webchannel
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
                dh-sequence-pkgkde-symbolshelper,
-               dh-sequence-qmldeps,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
+               pkgconf,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-websockets-dev (>= 6.8.1~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-websockets-dev (>= 6.8.2~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0

## qt6-webchannel 6.8.3

=== tests/benchmarks/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(webchannel)

=== debian/changelog ===
qt6-webchannel (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:26:52 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-webchannel
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -14,10 +15,10 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-dev (>= 6.8.2+dfsg~),
-               qt6-websockets-dev (>= 6.8.2~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-dev (>= 6.8.3+dfsg~),
+               qt6-websockets-dev (>= 6.8.3~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0

## qt6-webchannel 6.9.1

=== debian/changelog ===
qt6-webchannel (6.9.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Remove binary package qt6-webchannel-private-dev.

 -- Patrick Franz <deltaone@debian.org>  Thu, 28 Aug 2025 19:47:31 +0200

qt6-webchannel (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * New binary package qt6-webchannel-private-dev.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Jul 2025 22:41:00 +0200

qt6-webchannel (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 22 Jul 2025 11:16:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: qt6-webchannel
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.24~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
+               ccache [linux-any],
+               cmake (>= 3.24~),
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-dev (>= 6.8.3+dfsg~),
-               qt6-websockets-dev (>= 6.8.3~),
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-dev (>= 6.9.1+dfsg~),
+               qt6-websockets-dev (>= 6.9.1~),
+Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webchannel.git

## qt6-webchannel 6.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 # Generated from qtwebchannel.pro.
 
 cmake_minimum_required(VERSION 3.16)
@@ -14,7 +17,8 @@
 set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)
 
 find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core) # special case
-find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS Concurrent Quick Test QuickTest WebSockets) # special case
+find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS Concurrent Quick Test QuickTest WebSockets Widgets) # special case
+qt_internal_project_setup()
 
 if(INTEGRITY)
     message(NOTICE "Skipping the build as the condition \"NOT INTEGRITY\" is not met.")

=== src/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from src.pro.

add_subdirectory(webchannel)
if(TARGET Qt::Quick)
    add_subdirectory(webchannelquick)
endif()

=== src/webchannelquick/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(WebChannelQuick
    URI "QtWebChannel"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 1
    SOURCES
        qqmlwebchannel.h qqmlwebchannel.cpp
        qqmlwebchannelattached_p.h qqmlwebchannelattached.cpp
        qwebchannelquickglobal.h
    NO_PCH_SOURCES
        qqmlwebchannel.cpp # undef QT_NO_FOREACH
    DEFINES
        QT_NO_CONTEXTLESS_CONNECT
    LIBRARIES
        Qt::WebChannelPrivate
)

=== examples/webchannel/chatclient-qml/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(qmlchatclient LANGUAGES CXX)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick Widgets)

qt_standard_project_setup()

qt_add_executable(qmlchatclient
    main.cpp
)

set_target_properties(qmlchatclient PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(qmlchatclient PRIVATE
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::Widgets
)

# Resources:
set(data_resource_files
    "qmlchatclient.qml"
    "LoginForm.ui.qml"
    "MainForm.ui.qml"
    "../shared/qwebchannel.js"
)

qt6_add_resources(qmlchatclient "data"
    PREFIX
        "/"
    FILES
        ${data_resource_files}
)

=== examples/webchannel/standalone/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause
+
 cmake_minimum_required(VERSION 3.16)
 project(standalone LANGUAGES CXX)
 
@@ -38,8 +41,41 @@
     Qt::Widgets
 )
 
+if (NOT CMAKE_CURRENT_BINARY_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
+    add_custom_command(
+        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/index.html
+        COMMAND ${CMAKE_COMMAND} -E copy
+                ${CMAKE_CURRENT_SOURCE_DIR}/index.html
+                ${CMAKE_CURRENT_BINARY_DIR}/index.html
+        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/index.html
+        VERBATIM
+    )
+endif()
+
+add_custom_command(
+    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/qwebchannel.js
+    COMMAND ${CMAKE_COMMAND} -E copy
+            ${CMAKE_CURRENT_SOURCE_DIR}/../shared/qwebchannel.js
+            ${CMAKE_CURRENT_BINARY_DIR}/qwebchannel.js
+    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/../shared/qwebchannel.js
+    VERBATIM
+)
+
+add_custom_target(output_target ALL
+    DEPENDS
+    ${CMAKE_CURRENT_BINARY_DIR}/index.html
+    ${CMAKE_CURRENT_BINARY_DIR}/qwebchannel.js
+)
+
+add_dependencies(standalone output_target)
+
 install(TARGETS standalone
     RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
     BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
     LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
 )
+
+install(FILES
+    ${CMAKE_CURRENT_BINARY_DIR}/index.html ${CMAKE_CURRENT_BINARY_DIR}/qwebchannel.js
+    DESTINATION "${INSTALL_EXAMPLEDIR}"
+)

=== tests/auto/webchannel/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_test(tst_webchannel
    SOURCES
        tst_webchannel.cpp tst_webchannel.h
    LIBRARIES
        Qt::CorePrivate
        Qt::WebChannelPrivate
        Qt::TestPrivate
)

qt_internal_extend_target(tst_webchannel CONDITION TARGET Qt::Qml
    DEFINES
        WEBCHANNEL_TESTS_CAN_USE_JS_ENGINE
    LIBRARIES
        Qt::Qml
)

qt_internal_extend_target(tst_webchannel CONDITION TARGET Qt::Concurrent
    DEFINES
        WEBCHANNEL_TESTS_CAN_USE_CONCURRENT
    LIBRARIES
        Qt::Concurrent
)

=== tests/benchmarks/webchannel/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_benchmark(tst_bench_qwebchannel
    SOURCES
        tst_bench_qwebchannel.cpp tst_bench_qwebchannel.h
    LIBRARIES
        Qt::CorePrivate
        Qt::WebChannel
        Qt::WebChannelPrivate
        Qt::Test
)

=== debian/changelog ===
qt6-webchannel (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Fri, 12 Sep 2025 19:43:33 +0200

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.9.1+dfsg~),
-               qt6-base-private-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-dev (>= 6.9.1+dfsg~),
-               qt6-websockets-dev (>= 6.9.1~),
+               qt6-base-dev (>= 6.9.2+dfsg~),
+               qt6-base-private-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-dev (>= 6.9.2+dfsg~),
+               qt6-websockets-dev (>= 6.9.2~),
 Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                      qt6-documentation-tools (>= 6.9~) <!nodoc>,
 Standards-Version: 4.7.2

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebchannel-everywhere-src-(.*)\.tar\.xz
